#ifndef XGFXSURFACE_H
#define XGFXSURFACE_H

#include "xasset.h"
#include "xmaterial.h"
#include "xsrftriangles.h"

#include <QVector>

class XGfxSurface : public XAsset
{
public:
    XGfxSurface();
    ~XGfxSurface();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    XSrfTriangles mTris;
    XMaterial *mMaterial;
    quint8 mLightmapIndex;
    quint8 mReflectionProbeIndex;
    quint8 mPrimaryLightIndex;
    bool mCastsSunShadow;
    QVector<QVector3D> mBounds;
};

#endif // XGFXSURFACE_H
